import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, InsertResult, Repository, UpdateResult } from "typeorm";
import { NFTokenItemPrice } from "./nf-token-item-price.entity";
export declare class NFTokenItemPriceService extends TypeOrmCrudService<NFTokenItemPrice> {
    readonly repo: Repository<NFTokenItemPrice>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<NFTokenItemPrice>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenItemPrice>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenItemPrice[]>;
    createOneBy(params: DeepPartial<NFTokenItemPrice>, manager?: EntityManager): Promise<NFTokenItemPrice>;
    createAllBy(params: DeepPartial<NFTokenItemPrice>[], manager?: EntityManager): Promise<NFTokenItemPrice[]>;
    createAllIfNotExistBy(params: DeepPartial<NFTokenItemPrice>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: {
        [K in keyof NFTokenItemPrice]?: any | FindOperator<NFTokenItemPrice[K]>;
    }, set: {
        [K in keyof NFTokenItemPrice]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
    createOrUpdateOneBy(params: DeepPartial<NFTokenItemPrice>, manager?: EntityManager): Promise<any>;
    createOrUpdateAll(params: DeepPartial<NFTokenItemPrice>[], manager?: EntityManager): Promise<InsertResult>;
}
